hotspot/make/aix/Makefile
changeset 28613 b78d7c133e56
parent 26565 32d2efad175d
child 34289 2d1821a50263
child 33957 39113ae98993
equal deleted inserted replaced
28477:157314902d78 28613:b78d7c133e56
   244 
   244 
   245 # jvmti.make requires XSLT (J2SE 1.4.x or newer):
   245 # jvmti.make requires XSLT (J2SE 1.4.x or newer):
   246 XSLT_CHECK	= $(REMOTE) $(RUN.JAVAP) javax.xml.transform.TransformerFactory
   246 XSLT_CHECK	= $(REMOTE) $(RUN.JAVAP) javax.xml.transform.TransformerFactory
   247 # If not found then fail fast.
   247 # If not found then fail fast.
   248 check_j2se_version:
   248 check_j2se_version:
   249 	$(QUIETLY) $(XSLT_CHECK) > /dev/null 2>&1; \
   249 	$(QUIETLY) if ! $(XSLT_CHECK) > /dev/null 2>&1; then \
   250 	if [ $$? -ne 0 ]; then \
       
   251 	  $(REMOTE) $(RUN.JAVA) -version; \
   250 	  $(REMOTE) $(RUN.JAVA) -version; \
   252 	  echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
   251 	  echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
   253 	  "to bootstrap this build" 1>&2; \
   252 	  "to bootstrap this build" 1>&2; \
   254 	  exit 1; \
   253 	  exit 1; \
   255 	fi
   254 	fi